      REAL FUNCTION getlast()
      REAL
     +TUBE    ,F        
*
      LOGICAL         CHAIN
      CHARACTER*128   CFILE
*
      COMMON /PAWCHN/ CHAIN, NCHEVT, ICHEVT
      COMMON /PAWCHC/ CFILE
*
      COMMON/PAWIDN/IDNEVT,OBS(13),
     +TUBE    ,F        

      common /mmm/oldt
*
      getlast=f
      if (oldt.eq.tube) then
         getlast=-1
      endif
      oldt=tube
	
      END
